SELECT * 
  FROM user_sys_privs;

SELECT TABLESPACE_NAME, STATUS, CONTENTS,
       EXTENT_MANAGEMENT, ALLOCATION_TYPE, SEGMENT_SPACE_MANAGEMENT
  FROM user_tablespaces;

DROP TABLE dolgozo;
DROP TABLE reszleg;

ALTER SESSION SET NLS_DATE_LANGUAGE = ENGLISH;
ALTER SESSION SET NLS_DATE_FORMAT = 'DD-MON-YYYY';
	
CREATE TABLE reszleg 
    (DEPTNO              NUMBER(2) NOT NULL,
     DNAME               VARCHAR2(14),
     LOC                 VARCHAR2(13),
  CONSTRAINT RESZ_PRIMARY_KEY PRIMARY KEY (DEPTNO));

INSERT INTO reszleg VALUES (10,'ACCOUNTING','NEW YORK');
INSERT INTO reszleg VALUES (20,'RESEARCH','DALLAS');
INSERT INTO reszleg VALUES (30,'SALES','CHICAGO');
INSERT INTO reszleg VALUES (40,'OPERATIONS','BOSTON');

CREATE TABLE dolgozo
    (EMPNO               NUMBER(4) NOT NULL,
     ENAME               VARCHAR2(10) CONSTRAINT DOL_CN NOT NULL CONSTRAINT DOL_CU UNIQUE,
     JOB                 VARCHAR2(9),
     MGR                 NUMBER(4) CONSTRAINT DOL_SELF_KEY REFERENCES dolgozo (EMPNO),
     HIREDATE            DATE,
     SAL                 NUMBER(7,2),
     COMM                NUMBER(7,2),
     DEPTNO              NUMBER(2) NOT NULL,
  CONSTRAINT DOL_PRIMARY_KEY PRIMARY KEY (EMPNO),
  CONSTRAINT DOL_FOREIGN_KEY FOREIGN KEY (DEPTNO) REFERENCES reszleg (DEPTNO));

INSERT INTO dolgozo VALUES (7839,'KING','PRESIDENT',NULL,'17-NOV-1981',5000,NULL,10);
INSERT INTO dolgozo VALUES (7698,'BLAKE','MANAGER',7839,'1-MAY-1981',2850,NULL,30);
INSERT INTO dolgozo VALUES (7782,'CLARK','MANAGER',7839,'9-JUN-1981',2450,NULL,10);
INSERT INTO dolgozo VALUES (7566,'JONES','MANAGER',7839,'2-APR-1981',2975,NULL,20);
INSERT INTO dolgozo VALUES (7654,'MARTIN','SALESMAN',7698,'28-SEP-1981',1250,1400,30);
INSERT INTO dolgozo VALUES (7499,'ALLEN','SALESMAN',7698,'20-FEB-1981',1600,300,30);
INSERT INTO dolgozo VALUES (7844,'TURNER','SALESMAN',7698,'8-SEP-1981',1500,0,30);
INSERT INTO dolgozo VALUES (7900,'JAMES','CLERK',7698,'3-DEC-1981',950,NULL,30);
INSERT INTO dolgozo VALUES (7521,'WARD','SALESMAN',7698,'22-FEB-1981',1250,500,30);
INSERT INTO dolgozo VALUES (7902,'FORD','ANALYST',7566,'3-DEC-1981',3000,NULL,20);
INSERT INTO dolgozo VALUES (7369,'SMITH','CLERK',7902,'17-DEC-1980',800,NULL,20);
INSERT INTO dolgozo VALUES (7788,'SCOTT','ANALYST',7566,'09-DEC-1982',3000,NULL,20);
INSERT INTO dolgozo VALUES (7876,'ADAMS','CLERK',7788,'12-JAN-1983',1100,NULL,20);
INSERT INTO dolgozo VALUES (7934,'MILLER','CLERK',7782,'23-JAN-1982',1300,NULL,10);

ALTER SESSION SET NLS_DATE_LANGUAGE = HUNGARIAN;
ALTER SESSION SET NLS_DATE_FORMAT = 'YY-MON-DD';

SELECT * FROM dolgozo;
SELECT * FROM reszleg;
